package example.org.seasar.framework.ejb.tx;

import org.aopalliance.intercept.MethodInvocation;
import org.seasar.extension.tx.RequiredInterceptor;

/**
 * @author glad
 * @see org.seasar.framework.ejb.tx.EJB3RequiredInterceptor
 */
public class ExampleRequiredInterceptor extends RequiredInterceptor {

    @Override
    public Object invoke(final MethodInvocation invocation) throws Throwable {
        return transactionManagerAdapter.required(
                new ExampleTransactionCallback(invocation, txRules));
    }

}
